summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2011-08-30 20:10:13 +0000
committerUlrich Müller <ulm@gentoo.org>2011-08-30 20:10:13 +0000
commit189b2c59336b798144e8d4a7effdb8de6936f847 (patch)
tree26f80ab02dab7ec38c0a5e15e313e4a8a6751475 /eclass
parentPatchlevel bump for ruby:1.8. Removing old version (diff)
downloadgentoo-2-189b2c59336b798144e8d4a7effdb8de6936f847.tar.gz
gentoo-2-189b2c59336b798144e8d4a7effdb8de6936f847.tar.bz2
gentoo-2-189b2c59336b798144e8d4a7effdb8de6936f847.zip
Sync eclasses from Emacs overlay (revision 1683).
Change [ ] to [[ ]] throughout.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/elisp-common.eclass8
-rw-r--r--eclass/elisp.eclass24
2 files changed, 16 insertions, 16 deletions
diff --git a/eclass/elisp-common.eclass b/eclass/elisp-common.eclass
index b464850acb4b..708455625a6d 100644
--- a/eclass/elisp-common.eclass
+++ b/eclass/elisp-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.74 2011/08/22 06:56:26 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp-common.eclass,v 1.75 2011/08/30 20:10:13 ulm Exp $
#
# @ECLASS: elisp-common.eclass
# @MAINTAINER:
@@ -317,12 +317,12 @@ elisp-site-regen() {
local sf i line null="" page=$'\f'
local -a sflist
- if [ ! -d "${sitelisp}" ]; then
+ if [[ ! -d ${sitelisp} ]]; then
eerror "elisp-site-regen: Directory ${sitelisp} does not exist"
return 1
fi
- if [ ! -d "${T}" ]; then
+ if [[ ! -d ${T} ]]; then
eerror "elisp-site-regen: Temporary directory ${T} does not exist"
return 1
fi
@@ -336,7 +336,7 @@ elisp-site-regen() {
for sf in "${sitelisp}"/[0-9][0-9]*-gentoo.el \
"${sitelisp}"/site-gentoo.d/[0-9][0-9]*.el
do
- [ -r "${sf}" ] || continue
+ [[ -r ${sf} ]] || continue
# sort files by their basename. straight insertion sort.
for ((i=${#sflist[@]}; i>0; i--)); do
[[ ${sf##*/} < ${sflist[i-1]##*/} ]] || break
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 5059113390eb..d87989047602 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.51 2011/08/22 06:56:26 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.52 2011/08/30 20:10:13 ulm Exp $
#
# @ECLASS: elisp.eclass
# @MAINTAINER:
@@ -88,15 +88,15 @@ elisp_pkg_setup() {
# src_prepare, call elisp_src_prepare.
elisp_src_unpack() {
- [ -n "${A}" ] && unpack ${A}
- if [ -f ${P}.el ]; then
+ [[ -n ${A} ]] && unpack ${A}
+ if [[ -f ${P}.el ]]; then
# the "simple elisp" case with a single *.el file in WORKDIR
mv ${P}.el ${PN}.el || die
- [ -d "${S}" ] || S=${WORKDIR}
+ [[ -d ${S} ]] || S=${WORKDIR}
fi
case "${EAPI:-0}" in
- 0|1) [ -d "${S}" ] && cd "${S}"
+ 0|1) [[ -d ${S} ]] && cd "${S}"
elisp_src_prepare ;;
esac
}
@@ -109,11 +109,11 @@ elisp_src_unpack() {
elisp_src_prepare() {
local patch
for patch in ${ELISP_PATCHES}; do
- if [ -f "${patch}" ]; then
+ if [[ -f ${patch} ]]; then
epatch "${patch}"
- elif [ -f "${WORKDIR}/${patch}" ]; then
+ elif [[ -f ${WORKDIR}/${patch} ]]; then
epatch "${WORKDIR}/${patch}"
- elif [ -f "${FILESDIR}/${patch}" ]; then
+ elif [[ -f ${FILESDIR}/${patch} ]]; then
epatch "${FILESDIR}/${patch}"
else
die "Cannot find ${patch}"
@@ -135,7 +135,7 @@ elisp_src_configure() { :; }
elisp_src_compile() {
elisp-compile *.el || die
- if [ -n "${ELISP_TEXINFO}" ]; then
+ if [[ -n ${ELISP_TEXINFO} ]]; then
makeinfo ${ELISP_TEXINFO} || die
fi
}
@@ -149,15 +149,15 @@ elisp_src_compile() {
elisp_src_install() {
elisp-install ${PN} *.el *.elc || die
- if [ -n "${SITEFILE}" ]; then
+ if [[ -n ${SITEFILE} ]]; then
elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
fi
- if [ -n "${ELISP_TEXINFO}" ]; then
+ if [[ -n ${ELISP_TEXINFO} ]]; then
set -- ${ELISP_TEXINFO}
set -- ${@##*/}
doinfo ${@/%.*/.info*} || die
fi
- if [ -n "${DOCS}" ]; then
+ if [[ -n ${DOCS} ]]; then
dodoc ${DOCS} || die
fi
}